#ifndef __AX81_TOOLS_H
#define __AX81_TOOLS_H

#define TAPE_FILE_HEADER_LENGTH 512
#define TAPE_HEADER_LENGTH      512
#define TAPE_LENGTH             16384
#define TAPES_PER_FILE          32
#define TAPE_WITH_HEADER_LENGTH (TAPE_HEADER_LENGTH + TAPE_LENGTH)
#define TAPE_FILE_LENGTH        (TAPE_WITH_HEADER_LENGTH * TAPES_PER_FILE)
#define DIRECTORY_MODE     0755

typedef enum emu_type {
  EMU_UNKNOWN = 0,
  EMU_ZX81 = 1,
  EMU_ZX80 = 2,
  EMU_ACE = 3,
  EMU_ZXSPECTRUM = 4
} emu_type_t;

#endif
